Bug 1787311 - Removing libdb dependency
Summary: Removing libdb dependency
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1818910
Blocks: 1778802
TreeView+ depends on / blocked
 
Reported: 2020-01-02 10:35 UTC by Filip Januš
Modified: 2021-02-03 13:34 UTC (History)
6 users (show)

Fixed In Version: rpm-4.16.1.2-6.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-03 13:34:21 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Filip Januš 2020-01-02 10:35:33 UTC
According to more restrictive libdb licence policy exists effort to remove libdb's dependencies.
rpm is now built with libdb requirement, but in near future rpm should support other backend then libdb. Even it looks like it will be able to access BerkeleyDB databses without libdb dependency.

https://github.com/rpm-software-management/rpm/pull/980

Comment 1 Ben Cotton 2020-02-11 17:38:32 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 2 Panu Matilainen 2020-04-09 12:08:07 UTC
We wont be able to do this on Fedora 33 (much less 32), but Fedora 34 should be a realistic timeframe for cutting this cord finally. That'll be quite a moment.

Comment 3 Panu Matilainen 2021-02-03 09:02:27 UTC
Let's flick the switch in rawhide once Fedora 34 has been branched, it's a bit too close to comfort to do this for F34 at this point. Rpm >= 4.17 which is expected in Fedora 35 in a couple of months will drop support for libdb entirely so this will give people a bit of time to work things out if something unexpected breaks.

Comment 4 Panu Matilainen 2021-02-03 13:34:21 UTC
Due to popular request, change of plans:

Turns out, this was actually planned and approved for F34 in the F33 sqlite change: https://fedoraproject.org/wiki/Changes/Sqlite_Rpmdb, and since we don't have a concrete reason not to (this is afterall trivial to revert if things go boom):
BDB support disabled in rpm-4.16.1.2-6.fc34

Bye bye BDB, I'm not going to miss you.


Note You need to log in before you can comment on or make changes to this bug.